Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


strel

Silent .NET Maker synthesized 20100118 - W2K/XP/2K3 x86

Recommended Posts

strel

Nlite breaks if Silent .NET Maker package is added to it as an addon (.7z). I hope you'll sort it out.

Atolica

Share this post


Link to post
Share on other sites

atolica, I couldn't recreate this error in the test I made with a fresh new addon. I think is very improbable this is really failing. Check it again or give more data to recreate it.

Share this post


Link to post
Share on other sites
atolica, I couldn't recreate this error in the test I made with a fresh new addon. I think is very improbable this is really failing. Check it again or give more data to recreate it.

Are you integrating the addon solely or alongside other hotfixes? Mine breaks if I add it last after 56 or so hotfixes. I'll try again integrating just the addon.

Share this post


Link to post
Share on other sites

Hi Strel,

Problem with 1.1 addon : the language pack for 1.1 (localized) is still requested by M$ update. Tests done with All Framework merged addon.

Moreover, this lang pack isn't present in installed programs list.

What about it ?

Thx for your work.

Edited by geromichi

Share this post


Link to post
Share on other sites

Hello strel.

Windows Update still request the localizated version of .NET Framework 1.1 and langpack.

In installed program list .NET 1.1 is present but with no langpack.

The language is brazilian portuguese.

Thanks for your hard work in SNM.

0d

Share this post


Link to post
Share on other sites

Another detail about .Net 3.0 : installs uiautomationcore.dll ver. 6.0.6001.17014. But I use an update pack which contains KB971513 (uiautomationcore.dll version 7.0.2600.5884).

After integration and installation, it seems to keep 7.0.2600.5884 in spite of .Net Addon and his old version of this file.

Edited by geromichi

Share this post


Link to post
Share on other sites

@geromichi & strel,

I'll probably use uiautomationcore.dll and .mui from Vista(WinSrv2008)-KB971513. Why I don't that file from XP is because it breaks it's multi-lingual support, coming with built-in language resources. But I havn't done tests yet.

@strel,

in my test of SNMsynth, KB958484 doesn't have its files updated in .NET 3.5(files are still with build number 1), but entries are present in vs_setup.msi. I think you may applies *.msp earlier than NET35SLIMDOWN.mst.

there are still other improvements that could be made, I'm not at home so I'll write later.

Share this post


Link to post
Share on other sites
As of 7-zip 9.07, you must specify the type during extraction of executable files. Otherwise it will extract each individual resource and binary section. I already put in a suggestion to make that action switch-activated, but he says he'd rather have use the type switch if they don't like it.

I might have posted this earlier. Sorry if I'm repeating myself.

Did you missed the thread to post to?

Nah, that post was for you. All of your 7za.exe x entries leave out the -t switch. As of 9.07, that's a required switch for self-extracting archives, which would include hotfixes. It's not a big deal, really, because your instructions specifically call for the use of 4.x version of 7-zip, but I figured I'd point that out just in case you care to support the more current versions of 7-Zip.

About the other post with the error not finding FF addon file, I have to say I've seen this error ago but I though it was completely solved. In fact I cannot recreate the error, using exactly the same settings in .ini file. Can I have the file list? Any other useful info to recreate this condition?

I didn't modify your code or anything. I just entered those settings and ran the CMD file. Here's the file list that was generated:

10/23/2009  09:32 PM             4,181 _20SP#_SLIMMING.7z
10/29/2009 02:49 PM 1,369 _20SP#LNGbr_KB829019FIX.7z
10/28/2009 09:46 AM 1,429 _20SP2_KB974417FIX.7z
09/27/2009 09:34 AM 1,109 _30SP#_REMFONTCACHEFIX.7z
09/27/2009 09:35 AM 1,626 _30SP#LNG_KB928416FIX.7z
10/19/2009 08:19 PM 16,941 _35SP#_SLIMMING.7z
10/29/2009 02:26 PM 1,009 _35SP1_KB963707FIX_NOFFADDONPROPERTY.7z
09/27/2009 09:33 AM 3,474 _KB951847FIX.7z
10/09/2009 07:54 PM 3,097 _REM_MSI_BLOCKING.7z
10/29/2009 04:32 PM 87,163 _SNMsynth.cmd
10/29/2009 11:20 PM 3,941 _SNMsynth.ini
08/29/2009 05:01 PM 578,048 7za.exe
09/14/2009 02:14 AM 108,032 7zSD.sfx
09/29/2009 12:54 AM 242,743,296 dotnetfx35.exe
10/29/2009 10:44 PM 952,840 msxml6-KB954459-enu-x86.exe
09/29/2009 12:01 AM 8,981,856 NDP20SP2-KB958481-x86.exe
10/13/2009 01:01 PM 11,459,928 NDP20SP2-KB974417-x86.exe
09/28/2009 11:59 PM 7,256,928 NDP30SP2-KB958483-x86.exe
09/28/2009 11:49 PM 1,424,736 NDP35SP1-KB958484-x86.exe
10/29/2009 10:40 PM 759,144 NDP35SP1-KB963707-x86.exe
10/29/2009 11:21 PM 26 PROCESSDATA.TXT
09/27/2009 05:04 PM 283,648 upx.exe
10/29/2009 10:44 PM 3,273,088 WindowsServer2003-KB971276-v2-x86-ENU.exe
10/29/2009 10:44 PM 3,278,200 WindowsXP-KB971276-v3-x86-ENU.exe

I'm using an Athlon XP 2600+, so it's pretty old. It could just be an issue where it's not completing a task within a timeframe that your script is expecting. I'm not sure if you have anything in there like that, but just figured I'd mention this thing is incredibly slow in case that makes a difference to you.

Lemme know if you have any thoughts on this. I'll see if I can recreate the problem or if it was just a one-time thing.

Share this post


Link to post
Share on other sites

I made a silent installer with .NET 2.0SP2, NDP20SP2-KB958481-x86.exe and NDP20SP2-KB974417-x86.exe.

NDP20SP2-KB974417-x86.exe still shows on Windows update.

Could you give me some file versions to check if this update is really integrated and installed?

Share this post


Link to post
Share on other sites

Kurt_Aust

I forgot to finish the part for 2K hotfixes processing for 1.1 and 2.0 when I was doing changes. Will be ready for the next version.

Glowy

I built 3.0 SP2+3.5 SP1 merged installers with exactly the same .ini file settings and with the same files in the work folder as you. Then I proceed to install and the error didn't appear. Can you check again even repeating the process or so?

geromichi & 0d14r3

Seems to be the same problem with 1.1 langpacks, I'll check it.

geromichi, about uiautomationcore.dll: then your install strategy is OK, isn't it? But what did you do? What did you installed first, .NET or the update pack?

YumeYao

Vista/2008 dll on XP? Is that possible? Anyway, pretty heterodox!? Will see your progress and your new optimizations.

I'll check that issue with msp files.

Dumpy Dooby

I see, OK, suppose all files to extract are zip, I'll check it to include the switch. Thx. EDIT: There's no problem with that, the script supports 7za.exe 9.07 beta.

I suppose 35SP1_KB963707FIX_NOFFADDONPROPERTY.mst appears in .\TMP folder, is that right?

I have not defined any timeframe limitation for the script subprocesses. Waiting for your tests.

Sp0iLedBrAt

Here check LDR section. Check 20SP2_KB974417FIX.mst was on .\TMP folder (See record in .\out#\processdata.txt)

Edited by strel

Share this post


Link to post
Share on other sites

I compared the versions; mscordacwks.dll has 2.0.50727.3082 version, which should be at least 2.0.50727.3603.

I checked if 20SP2_KB974417FIX.mst was in the folder; affirmative.

I'm attaching PROCESSDATA.txt so you can check it out and point me to possible errors in my procedure.

Thank you for your prompt reply.

Share this post


Link to post
Share on other sites
geromichi & 0d14r3

Seems to be the same problem with 1.1 langpacks, I'll check it.

geromichi, about uiautomationcore.dll: then your install strategy is OK, isn't it? But what did you do? What did you installed first, .NET or the update pack?

Well, I integrate My update pack first containing KB971513 (uiautomationcore.dll version 7.0.2600.5884), then I integrate AllinOne addon iether T13 or runonceEx; both works : the new version is kept.

So my strategy is ok.

The exe file doesn't replace new version file on a live system ;)

Share this post


Link to post
Share on other sites
I'm getting the following error:

i1ih48.png

Translation:

Windows cannot find the file DNF30\XPS\update\update.exe. Check name etc.etc.

Glowy

I built 3.0 SP2+3.5 SP1 merged installers with exactly the same .ini file settings and with the same files in the work folder as you. Then I proceed to install and the error didn't appear. Can you check again even repeating the process or so?

I had the same error...

error.jpg

PROCESSDATA.TXT

Share this post


Link to post
Share on other sites

the language file for Net1 will not install because it missing this line in install.cmd

START/WAIT DNF11\langpack-fr.msi /l*v "%TEMP%\NETFX11LNGinstall.log" REBOOT=ReallySuppress /%VERBOSITY%

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...